void writeBackward(string s, int size)
// ---------------------------------------------------
// Writes a character string backward.
// Precondition: The string s contains size
// characters, where size >= 0.
// Postcondition: s is written backward, but remains
// unchanged.
// ---------------------------------------------------
{
   if (size > 0)
   {  // write the last character
      cout << s.substr(size-1, 1);

      // write the rest of the string backward
      writeBackward(s, size-1);  // Point A
   }  // end if

   // size == 0 is the base case - do nothing
}  // end writeBackward
